The release notes for ZCS 5 include this:
Before you upgrade ZCS, Zimbra recommends that the operating system (RHEL4 32 bit in my case) is updated with the latest patches that have been tested with ZCS. The following have been tested for 5.0.
• RHEL4 - Red Hat Enterprise Linux ES release 4 (Nahant Update 5 and 6)
I was able to successfully upgrade with my server running RHEL4-Nahant Update 5.

However, since the OS install in 2007, I have received 100s of updates/patches. I don't want to apply them without knowing whether they are compatible with Zimbra. How can I find out about the compatibility of all these RHEL4 patches?
Anne